%global api 1.2

Name:           libvtemm
Version:        0.23.1
Release:        1%{?dist}

Summary:        C++ interface for VTE (a GTK2 terminal emulator widget)

Group:          System Environment/Libraries
# library is LGPLv3+, examples are GPLv3+.
License:        LGPLv3+ and GPLv3+
URL:            http://gtkmm.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.23/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel >= 2.22.0
BuildRequires:  pangomm-devel >= 2.24.0
BuildRequires:  gtkmm24-devel >= 2.19.2
BuildRequires:  vte-devel >= 0.23.5

%description
libvtemm provides a C++ interface to the VTE library.

%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       vte-devel
Requires:       pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing libvtemm applications.

%package        docs
Summary:        Documentation for %{name}, includes full API docs
Group:          Documentation
# .devhelp2 file is put into ${_datadir}/gtk-doc directory which is owned by
# gtk-doc.
Requires:       gtk-doc

%description    docs
This package contains the full API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

# move devhelp file to gtk-doc directory - it will avoid devhelp dependency by
# putting it in directory not owned by devhelp, but by gtk-doc, on which
# gtkmm/glibmm/othermm-docs implicitely depends anyway
mkdir -p %{buildroot}%{_datadir}/gtk-doc/html/%{name}-%{api}
mv %{buildroot}%{_datadir}/devhelp/books/%{name}-%{api}/%{name}-%{api}.devhelp2 %{buildroot}%{_datadir}/gtk-doc/html/%{name}-%{api}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING COPYING.lesser NEWS README
%doc old_news_and_changelogs/ChangeLog* old_news_and_changelogs/NEWS*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
# examples
%doc %{_datadir}/%{name}-%{api}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/%{name}-%{api}
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-, root, root, -)
# API docs.
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}
# .devhelp2 file.
%doc %{_docdir}/%{name}-%{api}

%changelog
* Thu Jan 21 2010 Krzesimir Nowak <qdlacz@gmail.com> - 0.23.1-1
- New upstream unstable release.

* Wed Dec 9 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.2-1
- New upstream release.

* Mon Nov 16 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-5
- Fix wrong pkgconfig dependency.

* Wed Nov 11 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-4
- Enable verbose build.

* Thu Nov 5 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-3
- Place documentation in original place, so base in .devhelp2 file is unchanged.
- Place examples in original place.
- Fixed license.

* Wed Nov 4 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-2
- Rename from libvtemm12 to libvtemm.
- Remove devel package dependency from docs package.

* Mon Oct 12 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-1
- New upstream release.

* Mon Oct 5 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.0-1
- Initial rpm.
